digiKam Developer Documentation: Digikam::DFileOperations Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
Digikam::DFileOperations Class Reference

## Public Types
enum | SidecarAction { Rename = 0 , Copy }

## Static Public Member Functions
static bool | copyFile (const QString &srcFile, const QString &dstFile, const bool *const cancel=nullptr)
| Copy file and keep the source file modification time.
static bool | copyFiles (const QStringList &srcPaths, const QString &dstPath)
| Copy a list of files to another place.
static bool | copyFolderRecursively (const QString &srcPath, const QString &dstPath, const QString &itemId=QString(), bool *const cancel=nullptr, bool useDstPath=false)
| Copy recursively a directory contents to another one.
static bool | copyModificationTime (const QString &srcFile, const QString &dstFile)
| Copy file modification time from source to destination file.
static QString | findExecutable (const QString &name, const QStringList &hints=QStringList())
| Returns the path to a program under Windows by searching in the Windows registry.
static QUrl | getUniqueFileUrl (const QUrl &orgUrl, bool *const newurl=nullptr)
| Get unique file url if file exist by appending a counter suffix or return original url.
static QUrl | getUniqueFolderUrl (const QUrl &orgUrl)
| Get unique folder url if folder exist by appending a counter suffix or return original url.
static bool | localFileRename (const QString &source, const QString &orgPath, const QString &destPath, bool ignoreSettings=false)
| This method rename a local file 'orgPath' to 'destPath' with all ACL properties restoration taken from 'source' file.
static void | openFilesWithDefaultApplication (const QList< QUrl > &urls)
| Open file urls to default application relevant of file type-mimes desktop configuration.
static void | openInFileManager (const QList< QUrl > &urls)
| Open system file manager and select the item.
static bool | removeAndCopyFile (const QString &srcFile, const QString &dstFile)
| If the destination file already exists, it will be removed.
static bool | renameFile (const QString &srcFile, const QString &dstFile)
| Rename or move file and keep the source file modification time.
static bool | setModificationTime (const QString &srcFile, const QDateTime &dateTime)
| Set file modification time from QDateTime.
static bool | sidecarFiles (const QString &srcFile, const QString &dstFile, SidecarAction action)
| Rename/move or copy all possible sidecar files and keep the source file modification time.

## Member Function Documentation

## ◆ findExecutable()

QString Digikam::DFileOperations::findExecutable | ( | const QString & | name,
|  | const QStringList & | hints = `QStringList()`
| ) |  |
| static

If the path is empty, QStandardPaths::findExecutable() is used as under Linux and macOS.

## ◆ localFileRename()

bool Digikam::DFileOperations::localFileRename | ( | const QString & | source,
|  | const QString & | orgPath,
|  | const QString & | destPath,
|  | bool | ignoreSettings = `false`
| ) |  |
| static

Return true if operation is completed.

## ◆ removeAndCopyFile()

bool Digikam::DFileOperations::removeAndCopyFile | ( | const QString & | srcFile,
|  | const QString & | dstFile
| ) |  |
| static

Copy file and keep the source file modification time.

## ◆ setModificationTime()

bool Digikam::DFileOperations::setModificationTime | ( | const QString & | srcFile,
|  | const QDateTime & | dateTime
| ) |  |
| static

Keep access time from source file.